tigase.jaxmpp.core.client.xmpp.utils.delay

## Class XmppDelay

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.utils.delay.XmppDelay

- All Implemented Interfaces:
    Element

      public class XmppDelay
      extends ElementWrapper

  Wrapper for `urn:xmpp:delay` elements. See XEP-203 for details.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XmppDelay` | `extract(Stanza stanza)`
    `JID` | `getFrom()`
    `Date` | `getStamp()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### extract

          public static XmppDelay extract(Stanza stanza)
                                   throws XMLException

      Throws:
        `XMLException`

    - #### getFrom

          public JID getFrom()
                      throws XMLException

      Throws:
        `XMLException`

    - #### getStamp

          public Date getStamp()
                        throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.